From: Martijn Braam <martijn@brixit.nl>
Date: Sat, 29 Jan 2022 23:07:16 +0100
Subject: arm64: dts: rk3399-pinephone-pro: add SPI flash

According to the schematic the SPI nor flash is GD25LQ128EQIGR. This is
the storage used by the maskrom for the early boot process.
Required-For: PinePhone Pro
---
 arch/arm64/boot/dts/rockchip/rk3399-pinephone-pro.dts | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/arch/arm64/boot/dts/rockchip/rk3399-pinephone-pro.dts b/arch/arm64/boot/dts/rockchip/rk3399-pinephone-pro.dts
index 4ed4d91..94ee966 100644
--- a/arch/arm64/boot/dts/rockchip/rk3399-pinephone-pro.dts
+++ b/arch/arm64/boot/dts/rockchip/rk3399-pinephone-pro.dts
@@ -1259,6 +1259,16 @@ &sdhci {
 	status = "okay";
 };
 
+&spi1 {
+	status = "okay";
+
+	flash@0 {
+		compatible = "jedec,spi-nor";
+		reg = <0>;
+		spi-max-frequency = <10000000>;
+	};
+};
+
 &tcphy0 {
 	extcon = <&typec_extcon_bridge>;
 	status = "okay";
